## 常见问题

> 在使用PicGo期间你会遇到很多问题，不过很多问题其实之前就有人提问过，也被解决，所以你可以先看看[使用文档](https://github.com/Molunerfinn/PicGo/wiki/%E8%AF%A6%E7%BB%86%E7%AA%97%E5%8F%A3%E7%9A%84%E4%BD%BF%E7%94%A8#%E8%87%AA%E5%AE%9A%E4%B9%89%E5%BF%AB%E6%8D%B7%E9%94%AE)，这份FAQ，以及那些被关闭的[issues](https://github.com/Molunerfinn/PicGo/issues?q=is%3Aissue+is%3Aclosed)，应该能找到答案。

## 1.七牛图床上传图片成功后无法显示或图片无`http://`前缀

通常是你的七牛图床配置里的`设定访问网址`没有加上`http://`或者`https//`头。

参考：[issue#79](https://github.com/Molunerfinn/PicGo/issues/79)

## 2.能否支持图床远端同步删除

不能。有些图床（比如微博图床、SM.MS、Imgur等）不支持后台管理，为了架构统一不支持远端删除。

## 3.能否支持上传视频文件

目前不能。2.0版本出来后将会支持插件系统，届时如果有人开发了相应的插件理论可以支持任意文件上传。

## 4.微博图床上传之后无法显示预览图

通常是挂了全局代理导致的。

参考：[issue36](https://github.com/Molunerfinn/PicGo/issues/36)

## 5.能否支持某某某图床

截止v1.6，PicGo支持了如下图床：

- `微博图床` v1.0
- `七牛图床` v1.0
- `腾讯云COS v4\v5版本` v1.1 & v1.5.0
- `又拍云` v1.2.0
- `GitHub` v1.5.0
- `SM.MS` v1.5.1
- `阿里云OSS` v1.6.0
- `Imgur` v1.6.0

所以本体内将不会再支持其他图床。待2.0版本出来支持插件系统后可以由其他开发者开发相应的图床插件用以支持其他图床。

## 6.一个图床设置多个信息

不能。因为目前的架构只支持一个图床一份信息。

## 7.v2.0版本有什么新功能

在不改变PicGo现有使用界面和使用习惯的基础上，将会重构整个底层`传输->转换->上传`的架构，使其能够支持插件系统，方便其他开发者基于PicGo的底层进行二次开发。

理论上有了插件系统之后，其他开发者能够支持如下功能：

1. 能够实现上传前图片压缩
2. 能够通过图片url实现上传图片 -> 更深入地可以批量地实现图床的迁移
3. 能够支持其他图床甚至是自己的图床

等等。

届时底层架构将会独立出来成为一个独立的npm包，能够直接在命令行里调用。

目前开发进度可以参考[PicGo-Core](https://github.com/Molunerfinn/PicGo-Core)。
